# rbc-frontend
将线上代码clone到本地
## 1.环境准备

+ npm

## 2.安装启动
```sh
# 选择女娲仓库
npm set registry http://nvwa.jiuqi.com.cn/nexus/repository/npm-gov-public/
# 登陆
npm login
# 用户密码
govguest/p4tabg2q4p5w 
# 安装os-cli最新版本
# npm install -g nr.os-cli@latest
# 安装 os-cli 的 0.4.0 版本，最新版本有缺陷
npm install -g nr.os-cli@0.4.0
#安装nr.os-cli后，运行 os-cli -version 没有报错，即环境正常，如有报错请根据报错内容解决问题。
```
初始化开发环境
``` bash
os-cli init dev
```
修改nr-os目录下config文件夹下 os-config.js.templete 为 os-config.js
修改baseUrl字段为后端地址
``` js
window.osConfig = {
  baseUrl: 'http://10.2.9.10:8090', // 此处为连接的后端地址
  thin: false,
  cookieExpires: 1,
  storageMode: 'auto', 
  title: '', 
  mode: '',
}
```
整体服务启动 在根目录下面执行
``` bash
os-cli serve
```

## 3. 开发
进入project目录
``` bash
cd develop
cd @rbc
cd project
```
安装依赖
``` bash
npm i
```
打包
``` bash
npm run build
```
## 4.注意
+ 这种开发模式下，无法进行热更新，每次修改需要运行 npm run build 才能生效


