import UserParticipant from './actions/components/user-participant.vue'
import Leadership from './actions/components/leadership-participant.vue'
import RoleParticipant from './actions/components/role-participant.vue'
import SelectApprover from './control/select-approver.vue'
import AutoTask from './control/autotask.vue'
import EditableAttr from './control/editable-attr.vue'

export default {
  WorkFlowPanel: {},
  UserTaskPanel: {
    SelectApprover,
    AutoTask,
    EditableAttr,
  },
  EventPanel: {},
  ParticipantStrategyComponents: {
    'DemoExtendedStrategy': UserParticipant, // 键为BEAN的名称, 与后端对应
    'com.jiuqi.rbc.workflow.strategy.LeadershipParticipantStrategy': Leadership, // 键为BEAN的名称, 与后端对应
    'com.jiuqi.rbc.workflow.strategy.RoleParticipantStrategy': RoleParticipant, // 键为BEAN的名称, 与后端对应
  },
}